#include<iostream>
using namespace std;
int main()
{
    int N, st[100000], fi[100000], br=0,j;
    cin>>N;
    for(int i=0;i<N;i++){cin>>st[i];}
    for(int i=0;i<N;i++){cin>>fi[i];}
    st[N]=0;
    fi[N]=0;
    for(int i=0;i<N;br++)
    {
        j=0;
        while(st[i]!=fi[j])
        {
            j++;
        }
        while(st[i]==fi[j])
        {
            i++;
            j++;
        }
    }
    cout<<br<<endl;
    return 0;
}